local _G = getfenv(0)

function Skinner:RABuffs()
                                           
-->>-- RAB Settings Frame
	RAB_SettingsFrame:SetWidth(RAB_SettingsFrame:GetWidth() * FxMult)
	RAB_SettingsFrame:SetHeight(RAB_SettingsFrame:GetHeight() * FyMult)
	self:keepRegions(RAB_SettingsFrame, {7})
	self:moveObject(RAB_SettingsCloseButton, "+", 28, "+", 8)
	self:applySkin(RAB_SettingsFrame, nil)
	self:keepRegions(RAB_Settings_TabFrame1, {})
	self:keepRegions(RAB_Settings_TabFrame2, {1,2})
	self:keepRegions(RAB_Settings_TabFrame3, {1,2})
	self:keepRegions(RAB_Settings_TabFrame4, {1,2,3,4})
	self:moveObject(RAB_Settings_TabFrame1, "-", 5, "+", 10)
	self:moveObject(RAB_Settings_TabFrame2, "-", 5, "+", 10)
	self:moveObject(RAB_Settings_TabFrame3, "-", 5, "+", 10)
	self:moveObject(RAB_Settings_TabFrame4, "-", 5, "+", 10)
-->>-- Settings Tab1 Frame (aka Overview)
	self:keepRegions(RAB_Settings_Tab1ScrollFrame, {})
	self:skinScrollBar(RAB_Settings_Tab1ScrollFrame)
	self:moveObject(RAB_Settings_TabFrame1Tab1, "-", 20, nil, nil)
	for i = 1, 3 do
		local togTab = _G["RAB_Settings_TabFrame1Tab"..i]
		self:keepRegions(togTab, {7,8})
		togTab:SetHeight(togTab:GetHeight() - 5)
		self:moveObject(_G[togTab:GetName().."Text"], "-", 2, "+", 3)
		self:moveObject(_G[togTab:GetName().."HighlightTexture"], "-", 2, "+", 5)
		self:applySkin(togTab)
    end
-->>-- Settings Tab2 Frame (aka Buff Detail)
	self:keepRegions(RAB_Settings_BuffListScrollBar, {})
	self:skinScrollBar(RAB_Settings_BuffListScrollBar)
	self:removeRegions(RAB_BuffDetailFrame, {1})
	self:applySkin(RAB_BuffDetailFrame, nil)
-->>-- Settings Tab3 Frame (aka Bar Details, aka Layout)
	self:keepRegions(RAB_Settings_LayoutScrollBar, {})
	self:skinScrollBar(RAB_Settings_LayoutScrollBar)
	self:keepRegions(RAB_Settings_profileSelector, {4,5}) -- N.B. regions 4 & 5 are text
	self:removeRegions(RAB_BarDetailFrame, {1})
	self:applySkin(RAB_BarDetailFrame, nil)  
	self:skinEditBox(RAB_BarDetail_Label, {})
	self:keepRegions(RAB_BarDetail_Type, {4,5}) -- N.B. regions 4 & 5 are text
	self:keepRegions(RAB_BarDetail_OutputTarget, {4,5}) -- N.B. regions 4 & 5 are text
	self:keepRegions(RAB_BarDetail_ShowState, {4,5}) -- N.B. regions 4 & 5 are text
    self:keepRegions(RAB_BarDetail_Groups, {4,5}) -- N.B. regions 4 & 5 are text
	self:keepRegions(RAB_BarDetail_Classes, {4,5}) -- N.B. regions 4 & 5 are text
-->>-- Settings Tab4 Frame (aka Settings) 
	self:keepRegions(RAB_Settings_localizationSelector, {4,5}) -- N.B. regions 4 & 5 are text

-->>-- Tabs
	-- hook these to manage textured tabs
	if self.db.profile.TexturedTab then
		self:HookScript(RAB_SettingsFrame, "OnShow", function()
			self.hooks[RAB_SettingsFrame].OnShow()
			self:moveObject(RAB_SettingsFrameTab2, "+", 10, nil, nil)
			self:moveObject(RAB_SettingsFrameTab3, "+", 10, nil, nil)
			self:moveObject(RAB_SettingsFrameTab4, "+", 11, nil, nil)
			end)
		self:SecureHook("RABui_Settings_SelectTab", function(id)
			for i = 1, 4 do
				if (i == id) then
	    			self:setActiveTab(_G["RAB_SettingsFrameTab"..i])
	    		else
	    			self:setInactiveTab(_G["RAB_SettingsFrameTab"..i])
			 	end
			end
			end)
	end
	self:moveObject(RAB_SettingsFrameTab1, "-", 10, "-", 70)
	for i = 1, 4  do
		local tabName = _G["RAB_SettingsFrameTab"..i]
		self:keepRegions(tabName, {7,8})
		if self.db.profile.TexturedTab then 
			self:applySkin(tabName, nil, 0)
		else self:applySkin(tabName) end
	end
	
-->>-- RAB Frame
	self:keepRegions(RAB_Menu, {4,5})
	self:keepRegions(RABFrame, {})
	self:applySkin(RABFrame, nil)
	self:applySkin(RAB_Title)

-->>-- Tooltips                
	RAB_Tooltip:SetBackdrop(backdrop)
	self:skinTooltip(RAB_Tooltip)
	RAB_Spelltip:SetBackdrop(backdrop)
	self:skinTooltip(RAB_Spelltip)

end
